%global api_version 1.3.4
Name:          glassfish-saaj
Version:       1.3.18
Release:       %mkrel 1
Summary:       The Standard Implementation for SAAJ
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://java.net/projects/saaj/

# svn export https://svn.java.net/svn/saaj~svn/tags/saaj-impl-1.3.18 glassfish-saaj-1.3.18
# rm -rf glassfish-saaj-1.3.18/lib/*.jar glassfish-saaj-1.3.18/lib/mimepull.src.zip
# tar czf glassfish-saaj-1.3.18-src-svn.tar.gz glassfish-saaj-1.3.18

Source0:       glassfish-saaj-1.3.18-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/javax/xml/soap/saaj-api/%{api_version}/saaj-api-%{api_version}.pom
# remove jaf apis
Patch0:        glassfish-saaj-1.3.18-api-pom.patch
# fix mvn warning
Patch1:        glassfish-saaj-1.3.18-impl-pom.patch

BuildRequires: java-devel
BuildRequires: jvnet-parent
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

BuildRequires: mimepull
BuildRequires: forge-parent

Requires:      mimepull
Requires:      %{name}-api = %{version}-%{release}

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
Open source Reference Implementation of JSR-67:
SOAP with Attachments API for Java (SAAJ MR :1.3)

%package api
Group:         Development/Java
Summary:       SAAJ API: JSR-67
Requires:      java
Requires:      jpackage-utils

%description api
SAAJ API: JSR-67.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}I.

%package api-javadoc
Group:         Development/Java
Summary:       Javadoc for SAAJ API
Requires:      %{name}-api = %{version}-%{release} 
Requires:      jpackage-utils

%description api-javadoc
This package contains javadoc for SAAJ API.

%prep
%setup -q -c %{name}-%{version}

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

mkdir -p saaj-api/src
(
  cd saaj-api
  (
    cd src
    unzip  ../../%{name}-%{version}/lib/saaj-api-src.zip
  )
)
cp %{SOURCE1} saaj-api/pom.xml
%patch0 -p0

cd %{name}-%{version}
%patch1 -p0

%build

export MAVEN_REPO_LOCAL=$PWD/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

(
  cd saaj-api
  mvn-rpmbuild \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    install install javadoc:javadoc
)

cd %{name}-%{version}
mvn-rpmbuild  \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 saaj-api/target/saaj-api-%{api_version}.jar \
  %{buildroot}%{_javadir}/%{name}-api.jar
install -m 644 %{name}-%{version}/target/saaj-impl-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-impl.jar
ln -sf %{name}-impl.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 saaj-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-api.pom
%add_maven_depmap -f api JPP-%{name}-api.pom %{name}-api.jar
install -pm 644 %{name}-%{version}/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl.pom
%add_maven_depmap -f impl JPP-%{name}-impl.pom %{name}-impl.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}-api
cp -pr saaj-api/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-api
mkdir -p %{buildroot}%{_javadocdir}/%{name}-impl
cp -pr %{name}-%{version}/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-impl

%files
%{_javadir}/%{name}-impl.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}-impl.pom
%{_mavendepmapfragdir}/%{name}-impl
%doc %{name}-%{version}/license.html

%files api
%{_javadir}/%{name}-api.jar
%{_mavenpomdir}/JPP-%{name}-api.pom
%{_mavendepmapfragdir}/%{name}-api

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name}-impl ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}-impl) %{_javadocdir}/%{name}-impl || :

%files javadoc
%{_javadocdir}/%{name}-impl
%doc %{name}-%{version}/docs/*

%pre api-javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name}-api ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}-api) %{_javadocdir}/%{name}-api || :

%files api-javadoc
%{_javadocdir}/%{name}-api


%changelog

* Tue Mar 06 2012 dmorgan <dmorgan> 1.3.18-1.mga2
+ Revision: 220391
- Clean spec file
- Clean spec file

  + gil <gil>
    - update to 1.3.18

* Mon Jul 18 2011 gil <gil> 1.3-0.mga2
+ Revision: 126018
- imported package glassfish-saaj


* Mon Jul 18 2011 gil <gil> 1.3-0.%%mkrel
- initial rpm

